SIGNIFICAND(3)

NAME
significand, significandf, significandl - get mantissa of floating point number

SYNOPSIS
#include <math.h>

double significand(double x);
float significandf(float x);
long double significandl(long double x);

Link with -lm.

DESCRIPTION
The significand() function returns the mantissa of x scaled to the range [1,2). It is equivalent to

scalb(x, (double) -ilogb(x))

This function exists mainly for use in certain standardized tests for IEEE 754 conformance.

HISTORY
This function came from BSD.

SEE ALSO
ilogb(3), scalb(3)